Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/ApplicationWorkbenchAdvisor.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/ApplicationWorkbenchAdvisor.java	(revision 686)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/ApplicationWorkbenchAdvisor.java	(revision 687)
@@ -97,6 +97,7 @@
 import org.txm.rcp.commands.workspace.LoadBinaryCorpus;
 import org.txm.rcp.handlers.results.DeleteObject;
 import org.txm.rcp.handlers.scripts.ExecuteGroovyScript;
+import org.txm.rcp.messages.TXMUIMessages;
 import org.txm.rcp.p2.plugins.TXMUpdateHandler;
 import org.txm.rcp.perspective.TXMPerspective;
 import org.txm.rcp.preferences.RCPPreferences;
@@ -192,7 +193,7 @@
 		try {			
 			// create the Toolbox initialization job
 			JobHandler jobhandler = new JobHandler(
-					RCPMessages.ApplicationWorkbenchAdvisor_1, true) {
+					TXMUIMessages.ApplicationWorkbenchAdvisor_1, true) {
 				@Override
 				protected IStatus run(IProgressMonitor monitor) {
 					JobsTimer.start();
@@ -209,11 +210,11 @@
 									//Display.getCurrent() works because this code is run during the splash screen
 									String[] dialogButtonLabels = {"OK", "Cancel"};
 									CGUMessageDialog dialog = new CGUMessageDialog(Display.getCurrent().getActiveShell(), 
-											RCPMessages.CGU_TITLE, 
+											TXMUIMessages.CGU_TITLE, 
 											IImageKeys.getImage(IImageKeys.TXM_ICON), 
-											RCPMessages.CGU_MESSAGE, 
+											TXMUIMessages.CGU_MESSAGE, 
 											IImageKeys.getImage(IImageKeys.TXM), 
-											RCPMessages.CGU_CHECKMESSAGE, 
+											TXMUIMessages.CGU_CHECKMESSAGE, 
 											dialogButtonLabels, 0) {
 									};
 									boolean ret = (dialog.open() == MessageDialog.OK) && dialog.hasCheckBeenPressed();
@@ -241,18 +242,18 @@
 						//fixUpdateProfile();
 
 						// SET PREFERENCES IF THIS IS THE FIRST RUN
-						monitor.setTaskName(RCPMessages.ApplicationWorkbenchAdvisor_2);
-						Log.warning(RCPMessages.ApplicationWorkbenchAdvisor_72);
+						monitor.setTaskName(TXMUIMessages.ApplicationWorkbenchAdvisor_2);
+						Log.warning(TXMUIMessages.ApplicationWorkbenchAdvisor_72);
 						if (!loadInstallPreferences(this)) {
 							monitor.done();
-							System.err.println(RCPMessages.ApplicationWorkbenchAdvisor_init_failed);
+							System.err.println(TXMUIMessages.ApplicationWorkbenchAdvisor_init_failed);
 							return Status.CANCEL_STATUS;
 						}
 						monitor.worked(10);
 
 						// CHECK IF THIS IS THE FIRST RUN
-						monitor.setTaskName(RCPMessages.ApplicationWorkbenchAdvisor_3);
-						Log.warning(RCPMessages.ApplicationWorkbenchAdvisor_73);
+						monitor.setTaskName(TXMUIMessages.ApplicationWorkbenchAdvisor_3);
+						Log.warning(TXMUIMessages.ApplicationWorkbenchAdvisor_73);
 						if (!checkTXMHOME(this, monitor)) {
 							monitor.done();
 							System.err.println("Errors occured during TXM post-installation.");
@@ -260,8 +261,8 @@
 						monitor.worked(30);
 
 						//INITIALIZE TBX AND UI
-						monitor.setTaskName(RCPMessages.ApplicationWorkbenchAdvisor_0);
-						Log.warning(RCPMessages.ApplicationWorkbenchAdvisor_74);
+						monitor.setTaskName(TXMUIMessages.ApplicationWorkbenchAdvisor_0);
+						Log.warning(TXMUIMessages.ApplicationWorkbenchAdvisor_74);
 						if (!initializeUI(this)) {
 							monitor.done();
 							return Status.CANCEL_STATUS;
@@ -274,18 +275,18 @@
 
 						monitor.done();
 					} catch (Exception e) {
-						System.out.println(RCPMessages.ApplicationWorkbenchAdvisor_75+e);
+						System.out.println(TXMUIMessages.ApplicationWorkbenchAdvisor_75+e);
 						org.txm.rcp.utils.Logger.printStackTrace(e);
 					} catch(ThreadDeath td) {
 						System.out.println("TXM initialization has been canceled by user. Please restart TXM.");
 					}
 					
 					if (Toolbox.isInitialized()) {
-						StatusLine.setMessage(RCPMessages.ApplicationWorkbenchAdvisor_ready);
-						System.out.println(RCPMessages.ApplicationWorkbenchAdvisor_ready);
+						StatusLine.setMessage(TXMUIMessages.ApplicationWorkbenchAdvisor_ready);
+						System.out.println(TXMUIMessages.ApplicationWorkbenchAdvisor_ready);
 					} else {
-						StatusLine.setMessage(RCPMessages.ApplicationWorkbenchAdvisor_init_failed);
-						System.out.println(RCPMessages.ApplicationWorkbenchAdvisor_init_failed);
+						StatusLine.setMessage(TXMUIMessages.ApplicationWorkbenchAdvisor_init_failed);
+						System.out.println(TXMUIMessages.ApplicationWorkbenchAdvisor_init_failed);
 					}
 					
 					JobsTimer.stopAndPrint();
@@ -298,8 +299,8 @@
 			startUpdateLookUpJob(false);
 
 		} catch (Exception e) {
-			Log.severe(RCPMessages.ApplicationWorkbenchAdvisor_init_failed+" "+e.getMessage());
-			System.out.println(RCPMessages.ApplicationWorkbenchAdvisor_init_failed+" "+e.getMessage());
+			Log.severe(TXMUIMessages.ApplicationWorkbenchAdvisor_init_failed+" "+e.getMessage());
+			System.out.println(TXMUIMessages.ApplicationWorkbenchAdvisor_init_failed+" "+e.getMessage());
 			Log.printStackTrace(e);
 		}
 	}
@@ -332,7 +333,7 @@
 		// build the properties given to the Toolbox
 		String version =  Activator.getDefault().getBundle().getVersion().toString(); // "0.7.7.201412160925";
 		version = version.replaceAll("(.\\..\\..)\\.(....)(..)(..)(..)(..)", "$1 ($2-$3-$4 $5h$6)"); //$NON-NLS-1$ //$NON-NLS-2$
-		System.out.println(NLS.bind(RCPMessages.ApplicationWorkbenchAdvisor_init, version));
+		System.out.println(NLS.bind(TXMUIMessages.ApplicationWorkbenchAdvisor_init, version));
 
 	}
 
@@ -340,7 +341,7 @@
 		PreferenceManager pm = PlatformUI.getWorkbench().getPreferenceManager();
 
 		// Remove RCP Update preference page
-		Log.warning(RCPMessages.ApplicationWorkbenchAdvisor_21);
+		Log.warning(TXMUIMessages.ApplicationWorkbenchAdvisor_21);
 		if (!TXMPreferences.getBoolean(TBXPreferences.EXPERT_USER, TBXPreferences.PREFERENCES_NODE)) {
 			pm.remove("org.eclipse.equinox.internal.p2.ui.sdk.ProvisioningPreferencePage"); //$NON-NLS-1$
 
@@ -391,7 +392,7 @@
 				return;
 			}
 
-			Log.warning(RCPMessages.ApplicationWorkbenchAdvisor_77);
+			Log.warning(TXMUIMessages.ApplicationWorkbenchAdvisor_77);
 
 			Display.getDefault().syncExec(new Runnable() {
 				@Override
@@ -403,11 +404,11 @@
 							e.display = Display.getDefault();
 							handlerService.executeCommand(TXMUpdateHandler.ID, e);
 						} catch (Exception e) {
-							System.out.println(RCPMessages.ApplicationWorkbenchAdvisor_78+e);
+							System.out.println(TXMUIMessages.ApplicationWorkbenchAdvisor_78+e);
 							Log.printStackTrace(e);
 						}
 					} else {
-						System.out.println(RCPMessages.ApplicationWorkbenchAdvisor_79);
+						System.out.println(TXMUIMessages.ApplicationWorkbenchAdvisor_79);
 					}
 				}
 			});
@@ -484,7 +485,7 @@
 	 */
 	private void InitializeLogger() {
 		IOConsole console = new IOConsole(
-				RCPMessages.ApplicationWorkbenchAdvisor_5, null);
+				TXMUIMessages.ApplicationWorkbenchAdvisor_5, null);
 		ConsolePlugin.getDefault().getConsoleManager().addConsoles(
 				new IConsole[] { console });
 
@@ -559,35 +560,35 @@
 //					installPreferenceRestored = false;
 //					return true;
 //				}
-				// restore previous TreeTagger preferences
-				File previousPreferenceFile = new File(System.getProperty("java.io.tmpdir"),  //$NON-NLS-1$
-						"org.txm.rcp.prefs"); //$NON-NLS-1$
+//				// restore previous TreeTagger preferences
+//				File previousPreferenceFile = new File(System.getProperty("java.io.tmpdir"),  //$NON-NLS-1$
+//						"org.txm.rcp.prefs"); //$NON-NLS-1$
+//
+//				if (System.getProperty("os.name").indexOf("Mac") >= 0) { //$NON-NLS-1$ //$NON-NLS-2$
+//					previousPreferenceFile = new File("/tmp/org.txm.rcp.prefs"); //$NON-NLS-1$
+//				}
+//
+//				if (previousPreferenceFile.exists()) {
+//					System.out.println("Restoring preferences (from "+previousPreferenceFile+").");
+//					Properties previousProperties = new Properties();
+//					BufferedReader reader = IOUtils.getReader(previousPreferenceFile, "ISO-8859-1");
+//					previousProperties.load(reader);
+//					String [] keys= {TBXPreferences.TREETAGGER_INSTALL_PATH,
+//							TBXPreferences.TREETAGGER_MODELS_PATH,
+//							TBXPreferences.TREETAGGER_APOSTROPHE,
+//							TBXPreferences.TREETAGGER_OPTIONS};
+//					for (String k : keys) {
+//						if (previousProperties.getProperty(k) != null) {
+//							TxmPreferences.set(k, previousProperties.getProperty(k));
+//						}
+//					}
+//				}
 
-				if (System.getProperty("os.name").indexOf("Mac") >= 0) { //$NON-NLS-1$ //$NON-NLS-2$
-					previousPreferenceFile = new File("/tmp/org.txm.rcp.prefs"); //$NON-NLS-1$
-				}
-
-				if (previousPreferenceFile.exists()) {
-					System.out.println("Restoring preferences (from "+previousPreferenceFile+").");
-					Properties previousProperties = new Properties();
-					BufferedReader reader = IOUtils.getReader(previousPreferenceFile, "ISO-8859-1");
-					previousProperties.load(reader);
-					String [] keys= {TBXPreferences.TREETAGGER_INSTALL_PATH,
-							TBXPreferences.TREETAGGER_MODELS_PATH,
-							TBXPreferences.TREETAGGER_APOSTROPHE,
-							TBXPreferences.TREETAGGER_OPTIONS};
-					for (String k : keys) {
-						if (previousProperties.getProperty(k) != null) {
-							TxmPreferences.set(k, previousProperties.getProperty(k));
-						}
-					}
-				}
-
 				installPreferenceRestored = true;
 				return true;
 			}
 		} catch (Exception e) {
-			System.err.println(RCPMessages.ApplicationWorkbenchAdvisor_9+ " " +e.getLocalizedMessage());
+			System.err.println(TXMUIMessages.ApplicationWorkbenchAdvisor_9+ " " +e.getLocalizedMessage());
 			Log.printStackTrace(e);
 			return false;
 		}
@@ -673,9 +674,9 @@
 		System.setProperty("org.txm.rcp.wasfirstrun", Boolean.toString(needToRestoreTXMHOME || installPreferenceRestored)); //$NON-NLS-1$
 		if (needToRestoreTXMHOME || installPreferenceRestored) {
 			
-			System.out.println(RCPMessages.ApplicationWorkbenchAdvisor_7);
+			System.out.println(TXMUIMessages.ApplicationWorkbenchAdvisor_7);
 			try {
-				Log.info(RCPMessages.ApplicationWorkbenchAdvisor_68);
+				Log.info(TXMUIMessages.ApplicationWorkbenchAdvisor_68);
 				Display.getDefault().syncExec(new Runnable() {
 					@Override
 					public void run() {
@@ -683,7 +684,7 @@
 					}
 				});
 			} catch(Exception e) {
-				Log.warning(RCPMessages.ApplicationWorkbenchAdvisor_69+e);
+				Log.warning(TXMUIMessages.ApplicationWorkbenchAdvisor_69+e);
 				Log.printStackTrace(e);
 			}
 
@@ -708,7 +709,7 @@
 					Log.severe("Error: The provided install directory does not exists. Aborting.");
 					return false;
 				}
-				Log.info(NLS.bind(RCPMessages.ApplicationWorkbenchAdvisor_8, TXMPreferences.getString(TBXPreferences.INSTALL_DIR, TBXPreferences.PREFERENCES_NODE)));
+				Log.info(NLS.bind(TXMUIMessages.ApplicationWorkbenchAdvisor_8, TXMPreferences.getString(TBXPreferences.INSTALL_DIR, TBXPreferences.PREFERENCES_NODE)));
 
 				Log.info("Checking TXM user directory.");
 				if (TXMPreferences.getString(TBXPreferences.USER_TXM_HOME, TBXPreferences.PREFERENCES_NODE).trim().isEmpty()) {
@@ -720,7 +721,7 @@
 				txmhomedir.mkdirs(); // creates the directory if needed
 				
 				if (!txmhomedir.exists()) { // the TXM user directory could not be created !! :o
-					Log.warning(NLS.bind(RCPMessages.ApplicationWorkbenchAdvisor_12, txmhomedir));
+					Log.warning(NLS.bind(TXMUIMessages.ApplicationWorkbenchAdvisor_12, txmhomedir));
 					Display.getDefault().syncExec(new Runnable() {
 						@Override
 						public void run() {
@@ -751,22 +752,22 @@
 						public void run() {
 							Display display = Display.getDefault();
 							Shell shell = display.getActiveShell();
-							go = MessageDialog.openConfirm(shell, RCPMessages.ApplicationWorkbenchAdvisor_28, NLS.bind(RCPMessages.ApplicationWorkbenchAdvisor_27, txmhomedir));
+							go = MessageDialog.openConfirm(shell, TXMUIMessages.ApplicationWorkbenchAdvisor_28, NLS.bind(TXMUIMessages.ApplicationWorkbenchAdvisor_27, txmhomedir));
 						}
 					});
 
 					if (go) {
-						monitor.setTaskName(RCPMessages.bind(RCPMessages.ApplicationWorkbenchAdvisor_30, backup.getAbsolutePath()));
+						monitor.setTaskName(TXMUIMessages.bind(TXMUIMessages.ApplicationWorkbenchAdvisor_30, backup.getAbsolutePath()));
 						backup.mkdir();
 
 						if (!backup.exists()) {
-							System.out.println(RCPMessages.ApplicationWorkbenchAdvisor_34 + backup);
+							System.out.println(TXMUIMessages.ApplicationWorkbenchAdvisor_34 + backup);
 							return false;
 						}
 
 						//$NON-NLS-1$
 						if (oldbackup.exists()) {
-							Log.info(RCPMessages.bind(RCPMessages.ApplicationWorkbenchAdvisor_16, oldbackup));
+							Log.info(TXMUIMessages.bind(TXMUIMessages.ApplicationWorkbenchAdvisor_16, oldbackup));
 							DeleteDir.deleteDirectory(oldbackup); // ]8)
 						}
 
@@ -776,7 +777,7 @@
 
 						if (corpDirs != null) {
 							Arrays.sort(corpDirs);
-							System.out.print(RCPMessages.bind(RCPMessages.ApplicationWorkbenchAdvisor_30, backup.getAbsolutePath()));
+							System.out.print(TXMUIMessages.bind(TXMUIMessages.ApplicationWorkbenchAdvisor_30, backup.getAbsolutePath()));
 							for (File corpusdir : corpDirs) {
 								File backCorpus = new File(backup, corpusdir.getName());
 								if (corpusdir.canRead() && corpusdir.isDirectory()) {
@@ -795,24 +796,24 @@
 							System.out.println();
 						}
 						if (moved.size() > 0) {
-							Log.info(RCPMessages.bind(RCPMessages.ApplicationWorkbenchAdvisor_18,oldbackup,StringUtils.join(moved,", "))); //$NON-NLS-1$
+							Log.info(TXMUIMessages.bind(TXMUIMessages.ApplicationWorkbenchAdvisor_18,oldbackup,StringUtils.join(moved,", "))); //$NON-NLS-1$
 						}
 						if (failed.size() > 0) {
-							System.out.println(RCPMessages.ApplicationWorkbenchAdvisor_44+failed+RCPMessages.ApplicationWorkbenchAdvisor_37+backup);
+							System.out.println(TXMUIMessages.ApplicationWorkbenchAdvisor_44+failed+TXMUIMessages.ApplicationWorkbenchAdvisor_37+backup);
 						}
 					}
 				}
 			} catch (Exception e) {
 				org.txm.rcp.utils.Logger.printStackTrace(e);
-				System.out.println(RCPMessages.ApplicationWorkbenchAdvisor_47+" "+e.getLocalizedMessage()); //$NON-NLS-1$
-				Log.severe(RCPMessages.ApplicationWorkbenchAdvisor_47+e.getLocalizedMessage());
+				System.out.println(TXMUIMessages.ApplicationWorkbenchAdvisor_47+" "+e.getLocalizedMessage()); //$NON-NLS-1$
+				Log.severe(TXMUIMessages.ApplicationWorkbenchAdvisor_47+e.getLocalizedMessage());
 				return false;
 			}
 
 			try {
 				txmhomedir.mkdir();
 				if (!txmhomedir.exists()) {
-					System.out.println(NLS.bind(RCPMessages.ApplicationWorkbenchAdvisor_13, txmhomedir));
+					System.out.println(NLS.bind(TXMUIMessages.ApplicationWorkbenchAdvisor_13, txmhomedir));
 					return false;
 				}
 
@@ -837,7 +838,7 @@
 
 				// test
 				if (Toolbox.workspace == null) {
-					System.out.println(RCPMessages.ApplicationWorkbenchAdvisor_31);
+					System.out.println(TXMUIMessages.ApplicationWorkbenchAdvisor_31);
 					return false;
 				}
 
@@ -846,15 +847,15 @@
 				for (String folder : copyfolders) {
 					File ffile = new File(TXMPreferences.getString(TBXPreferences.PREFERENCES_NODE, TBXPreferences.INSTALL_DIR), folder);
 					if (!ffile.exists()) {
-						System.out.println(NLS.bind(RCPMessages.ApplicationWorkbenchAdvisor_39, ffile));
+						System.out.println(NLS.bind(TXMUIMessages.ApplicationWorkbenchAdvisor_39, ffile));
 						continue;
 					}
 
 					FileCopy.copyFiles(ffile, new File(txmhomedir, folder));
 				}
 			} catch (Exception e) {
-				Log.severe(NLS.bind(RCPMessages.ApplicationWorkbenchAdvisor_40, e.getLocalizedMessage()));
-				System.err.println(NLS.bind(RCPMessages.ApplicationWorkbenchAdvisor_40, e.getLocalizedMessage()));
+				Log.severe(NLS.bind(TXMUIMessages.ApplicationWorkbenchAdvisor_40, e.getLocalizedMessage()));
+				System.err.println(NLS.bind(TXMUIMessages.ApplicationWorkbenchAdvisor_40, e.getLocalizedMessage()));
 				return false;
 			}
 
@@ -864,8 +865,8 @@
 				TXMPreferences.put(TBXPreferences.PREFERENCES_NODE, 
 						TBXPreferences.WORKSPACE_LOCATION, new File(txmhomedir,	"workspaces/default.xml").getAbsolutePath()); //$NON-NLS-1$
 			} catch (Exception e) {
-				Log.severe(NLS.bind(RCPMessages.ApplicationWorkbenchAdvisor_41, e.getLocalizedMessage()));
-				System.out.println(NLS.bind(RCPMessages.ApplicationWorkbenchAdvisor_41, e.getLocalizedMessage()));
+				Log.severe(NLS.bind(TXMUIMessages.ApplicationWorkbenchAdvisor_41, e.getLocalizedMessage()));
+				System.out.println(NLS.bind(TXMUIMessages.ApplicationWorkbenchAdvisor_41, e.getLocalizedMessage()));
 				return false;
 			}
 
@@ -873,8 +874,8 @@
 				ArrayList<String> basenames = new ArrayList<String>();
 				ArrayList<String> sampleCorpusLoaded = new ArrayList<String>();
 				if (new File(txmhomedir, "samples").exists()) { //$NON-NLS-1$
-					Log.info(RCPMessages.ApplicationWorkbenchAdvisor_11);
-					monitor.setTaskName(RCPMessages.ApplicationWorkbenchAdvisor_11);
+					Log.info(TXMUIMessages.ApplicationWorkbenchAdvisor_11);
+					monitor.setTaskName(TXMUIMessages.ApplicationWorkbenchAdvisor_11);
 					//File corporaDir = new File(txmhomedir.getAbsolutePath(), "corpora"); //$NON-NLS-1$
 					corporaDir.mkdir();
 
@@ -887,7 +888,7 @@
 							String basedirname;
 							if (filename.endsWith(".txm") || filename.endsWith(".zip")) { //$NON-NLS-1$ //$NON-NLS-2$
 								if (!zipFile.canRead()) {
-									System.out.println(NLS.bind(RCPMessages.ApplicationWorkbenchAdvisor_45, zipFile));
+									System.out.println(NLS.bind(TXMUIMessages.ApplicationWorkbenchAdvisor_45, zipFile));
 									continue; // go to next binary file
 								}
 
@@ -898,13 +899,13 @@
 								try {
 									Zip.decompress(zipFile.getAbsolutePath(), corporaDir.getAbsolutePath(), false);
 								} catch (IOException e) {
-									System.out.println(NLS.bind(RCPMessages.AddBase_31, e));
+									System.out.println(NLS.bind(TXMUIMessages.AddBase_31, e));
 								}
 							} else if (zipFile.isDirectory()) {
 								basedir = zipFile;
 							} else {
-								System.out.println(NLS.bind(RCPMessages.AddBase_22, zipFile));
-								System.out.println(RCPMessages.AddBase_25);
+								System.out.println(NLS.bind(TXMUIMessages.AddBase_22, zipFile));
+								System.out.println(TXMUIMessages.AddBase_25);
 								continue;
 							}
 
@@ -914,15 +915,15 @@
 								sampleCorpusLoaded.add(base.getName());
 							}
 						} catch (Exception e) {
-							System.out.println(RCPMessages.ApplicationWorkbenchAdvisor_51+zipFile);
+							System.out.println(TXMUIMessages.ApplicationWorkbenchAdvisor_51+zipFile);
 							org.txm.rcp.utils.Logger.printStackTrace(e);
 						}
 					}
 				}
 
 				if (backup.exists()) {
-					System.out.print(NLS.bind(RCPMessages.ApplicationWorkbenchAdvisor_53, backup));
-					monitor.setTaskName(NLS.bind(RCPMessages.ApplicationWorkbenchAdvisor_53, backup));
+					System.out.print(NLS.bind(TXMUIMessages.ApplicationWorkbenchAdvisor_53, backup));
+					monitor.setTaskName(NLS.bind(TXMUIMessages.ApplicationWorkbenchAdvisor_53, backup));
 
 					File[] corpusDirs = backup.listFiles();
 
@@ -955,9 +956,9 @@
 								Convert5To6 converter = new Convert5To6(corpusDir, outdir);
 								if (converter.is5(true)) {
 									if (!converter.start()) {
-										System.out.println(RCPMessages.ApplicationWorkbenchAdvisor_22+corpusDir+RCPMessages.ApplicationWorkbenchAdvisor_23);
-										System.out.println(RCPMessages.ApplicationWorkbenchAdvisor_54+corpusDir+RCPMessages.ApplicationWorkbenchAdvisor_55);
-										System.out.println(RCPMessages.ApplicationWorkbenchAdvisor_56);
+										System.out.println(TXMUIMessages.ApplicationWorkbenchAdvisor_22+corpusDir+TXMUIMessages.ApplicationWorkbenchAdvisor_23);
+										System.out.println(TXMUIMessages.ApplicationWorkbenchAdvisor_54+corpusDir+TXMUIMessages.ApplicationWorkbenchAdvisor_55);
+										System.out.println(TXMUIMessages.ApplicationWorkbenchAdvisor_56);
 										broken.add(corpusDir);
 									} else {
 										//System.out.println(Messages.ApplicationWorkbenchAdvisor_57+outdir);
@@ -969,40 +970,40 @@
 										if (corpusDir.renameTo(outdir)) {
 											Base base = LoadBinaryCorpus.loadBinaryCorpus(outdir);
 											if (base == null) {
-												System.out.println(RCPMessages.ApplicationWorkbenchAdvisor_58+outdir);
-												System.out.println(RCPMessages.ApplicationWorkbenchAdvisor_59+corpusDir);
+												System.out.println(TXMUIMessages.ApplicationWorkbenchAdvisor_58+outdir);
+												System.out.println(TXMUIMessages.ApplicationWorkbenchAdvisor_59+corpusDir);
 												outdir.renameTo(corpusDir);
 												broken.add(corpusDir);
 											} else {
 												basenames.add(base.getName());
 											}
 										} else {
-											System.out.println(RCPMessages.ApplicationWorkbenchAdvisor_24+corpusDir+RCPMessages.ApplicationWorkbenchAdvisor_26+outdir);
+											System.out.println(TXMUIMessages.ApplicationWorkbenchAdvisor_24+corpusDir+TXMUIMessages.ApplicationWorkbenchAdvisor_26+outdir);
 											broken.add(corpusDir);
 										}
 									} else {
-										System.out.println(RCPMessages.ApplicationWorkbenchAdvisor_60+corpusDir+RCPMessages.ApplicationWorkbenchAdvisor_61);
+										System.out.println(TXMUIMessages.ApplicationWorkbenchAdvisor_60+corpusDir+TXMUIMessages.ApplicationWorkbenchAdvisor_61);
 										broken.add(corpusDir);
 									}
 								}
 							} catch (Throwable e) {
-								System.out.println(RCPMessages.ApplicationWorkbenchAdvisor_59+corpusDir);
-								System.out.println(RCPMessages.ERROR+e);
+								System.out.println(TXMUIMessages.ApplicationWorkbenchAdvisor_59+corpusDir);
+								System.out.println(TXMUIMessages.ERROR+e);
 								outdir.renameTo(corpusDir);
 							}
 						}
 						System.out.println();
 						if (sampleCorpusLoaded.size() > 0) {
 							if (sampleCorpusLoaded.size() == 1) {
-								System.out.println(RCPMessages.bind(RCPMessages.ApplicationWorkbenchAdvisor_43_single, StringUtils.join(sampleCorpusLoaded, ", "))); //$NON-NLS-1$
+								System.out.println(TXMUIMessages.bind(TXMUIMessages.ApplicationWorkbenchAdvisor_43_single, StringUtils.join(sampleCorpusLoaded, ", "))); //$NON-NLS-1$
 							} else {
-								System.out.println(RCPMessages.bind(RCPMessages.ApplicationWorkbenchAdvisor_43, StringUtils.join(sampleCorpusLoaded, ", "))); //$NON-NLS-1$
+								System.out.println(TXMUIMessages.bind(TXMUIMessages.ApplicationWorkbenchAdvisor_43, StringUtils.join(sampleCorpusLoaded, ", "))); //$NON-NLS-1$
 							}
 						}
 
 						if (broken.size() > 0) {
 							errorbackup.mkdir();
-							System.out.println(RCPMessages.bind(RCPMessages.ApplicationWorkbenchAdvisor_48, StringUtils.join(broken, ", "), errorbackup)); //$NON-NLS-1$
+							System.out.println(TXMUIMessages.bind(TXMUIMessages.ApplicationWorkbenchAdvisor_48, StringUtils.join(broken, ", "), errorbackup)); //$NON-NLS-1$
 							for(File corpusDir : broken) {
 								if (corpusDir.exists())
 									corpusDir.renameTo(new File(errorbackup, corpusDir.getName()));
@@ -1015,9 +1016,9 @@
 
 				// init with properties
 				if (Toolbox.initialize(TBXPreferences.class, monitor)) {
-					System.out.println(RCPMessages.ApplicationWorkbenchAdvisor_ready);
+					System.out.println(TXMUIMessages.ApplicationWorkbenchAdvisor_ready);
 				} else {
-					System.err.println(RCPMessages.ApplicationWorkbenchAdvisor_init_failed);
+					System.err.println(TXMUIMessages.ApplicationWorkbenchAdvisor_init_failed);
 					return false;
 				}
 
@@ -1030,8 +1031,8 @@
 					return false;
 				}
 			} catch (Exception e) {
-				Log.severe(NLS.bind(RCPMessages.ApplicationWorkbenchAdvisor_52, e.getLocalizedMessage()));
-				System.err.println(NLS.bind(RCPMessages.ApplicationWorkbenchAdvisor_52, e.getLocalizedMessage()));
+				Log.severe(NLS.bind(TXMUIMessages.ApplicationWorkbenchAdvisor_52, e.getLocalizedMessage()));
+				System.err.println(NLS.bind(TXMUIMessages.ApplicationWorkbenchAdvisor_52, e.getLocalizedMessage()));
 				org.txm.rcp.utils.Logger.printStackTrace(e);
 				return false;
 			}
@@ -1076,56 +1077,53 @@
 	 * @param job the job
 	 * @return true, if successful
 	 */
-	private boolean checkTreeTagger(JobHandler job) {
-		try {
-			// check TreeTagger installation
-			String ttdir = TxmPreferences
-					.get(TBXPreferences.TREETAGGER_INSTALL_PATH);
-			String ttmodeldir = TxmPreferences
-					.get(TBXPreferences.TREETAGGER_MODELS_PATH);
-			boolean showTTHelp = false;
-			if (ttdir != null || ttmodeldir != null) {
-				if (!(new File(ttdir).exists() && new File(ttmodeldir).exists())) {
-					System.err.println(RCPMessages.ApplicationWorkbenchAdvisor_32);
-					showTTHelp = true;
-				}
-			} else {
-				System.err.println(RCPMessages.ApplicationWorkbenchAdvisor_33);
-				//TxmPreferences.set(TreeTaggerPreferencePage.TREETAGGER_INSTALL_PATH, TxmPreferences.get(AdvancePreferencePage.TXMHOME)+"/treetagger"); //$NON-NLS-1$
-				//TxmPreferences.set(TreeTaggerPreferencePage.TREETAGGER_MODELS_PATH, TxmPreferences.get(AdvancePreferencePage.TXMHOME)+"/treetagger/models"); //$NON-NLS-1$
-				showTTHelp = true;
-			}
-			if (showTTHelp) {
-				job.syncExec(new Runnable() {
-					@Override
-					public void run() {
-						String lang = TxmPreferences.get(RCPPreferences.UI_LOCALE);
-						if (lang == null) {
-							lang = Locale.getDefault().getCountry()
-									.toLowerCase();
-							if (lang.equals("fr") || lang.equals("en")) //$NON-NLS-1$ //$NON-NLS-2$
-								TxmPreferences.set(
-										RCPPreferences.UI_LOCALE, lang);
-						}
-						if (TxmPreferences.get(RCPPreferences.UI_LOCALE) != null
-								&& !TxmPreferences.get(
-										RCPPreferences.UI_LOCALE).equals(
-												"")) //$NON-NLS-1$
-							OpenBrowser
-							.openfile("http://txm.sourceforge.net/installtreetagger_" + TxmPreferences.get(RCPPreferences.UI_LOCALE) + ".html"); //$NON-NLS-1$ //$NON-NLS-2$
-						else
-							OpenBrowser
-							.openfile("http://txm.sourceforge.net/installtreetagger_en.html"); //$NON-NLS-1$
-					}
-				});
-			}
-		} catch (Exception e) {
-			Log.severe(e.getLocalizedMessage());
-			System.out.println(NLS.bind(RCPMessages.ApplicationWorkbenchAdvisor_19, e));
-			return false;
-		}
-		return true;
-	}
+	// FIXME: see if this code is still useful => if yes, split it and move it to org.txm.treetagger.core for the test and org.txm.treetagger.rcp for the UI alert
+	// FIXME: put it in an activator if needed
+//	private boolean checkTreeTagger(JobHandler job) {
+//		try {
+//			// check TreeTagger installation
+//			String ttDir = TxmPreferences.get(TBXPreferences.TREETAGGER_INSTALL_PATH);
+//			String ttModelsDir = TxmPreferences.get(TBXPreferences.TREETAGGER_MODELS_PATH);
+//			boolean showTTHelp = false;
+//			
+//			if (ttDir != null || ttModelsDir != null) {
+//				if (!(new File(ttDir).exists() && new File(ttModelsDir).exists())) {
+//					System.err.println(TXMUIMessages.ApplicationWorkbenchAdvisor_32);
+//					showTTHelp = true;
+//				}
+//			}
+//			else {
+//				System.err.println(TXMUIMessages.ApplicationWorkbenchAdvisor_33);
+//				showTTHelp = true;
+//			}
+//			
+//			if (showTTHelp) {
+//				job.syncExec(new Runnable() {
+//					@Override
+//					public void run() {
+//						String lang = TxmPreferences.get(RCPPreferences.UI_LOCALE);
+//						if (lang == null) {
+//							lang = Locale.getDefault().getCountry().toLowerCase();
+//							if (lang.equals("fr") || lang.equals("en")) { //$NON-NLS-1$ //$NON-NLS-2$
+//								TxmPreferences.set(RCPPreferences.UI_LOCALE, lang);
+//							}
+//						}
+//						if (TxmPreferences.get(RCPPreferences.UI_LOCALE) != null && !TxmPreferences.get(RCPPreferences.UI_LOCALE).equals("")) { //$NON-NLS-1$
+//							OpenBrowser.openfile("http://txm.sourceforge.net/installtreetagger_" + TxmPreferences.get(RCPPreferences.UI_LOCALE) + ".html"); //$NON-NLS-1$ //$NON-NLS-2$
+//						}
+//						else {
+//							OpenBrowser.openfile("http://txm.sourceforge.net/installtreetagger_en.html"); //$NON-NLS-1$
+//						}
+//					}
+//				});
+//			}
+//		} catch (Exception e) {
+//			Log.severe(NLS.bind(TXMUIMessages.ApplicationWorkbenchAdvisor_19, e));
+//			Log.printStackTrace(e);
+//			return false;
+//		}
+//		return true;
+//	}
 
 	/**
 	 * after TXMHOME AND INSTALLDIR are ok, we start launch the Toolbox after
@@ -1209,13 +1207,13 @@
 		Display.getDefault().syncExec(new Runnable() {
 			@Override
 			public void run() {
-				Log.warning(RCPMessages.ApplicationWorkbenchAdvisor_88);
+				Log.warning(TXMUIMessages.ApplicationWorkbenchAdvisor_88);
 				RestartTXM.reloadViews();
 				
 				if (Toolbox.isInitialized()) {
-					StatusLine.setMessage(RCPMessages.ApplicationWorkbenchAdvisor_ready);
+					StatusLine.setMessage(TXMUIMessages.ApplicationWorkbenchAdvisor_ready);
 				} else {
-					StatusLine.setMessage(RCPMessages.ApplicationWorkbenchAdvisor_init_failed);
+					StatusLine.setMessage(TXMUIMessages.ApplicationWorkbenchAdvisor_init_failed);
 				}
 			}
 		});
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/JobsTimer.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/JobsTimer.java	(revision 686)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/JobsTimer.java	(revision 687)
@@ -5,6 +5,7 @@
 import org.eclipse.osgi.util.NLS;
 import org.txm.core.preferences.TBXPreferences;
 import org.txm.core.preferences.TXMPreferences;
+import org.txm.rcp.messages.TXMUIMessages;
 import org.txm.utils.ExecTimer;
 
 /**
@@ -32,18 +33,18 @@
 	private static String setMessage() {
 		t = time;
 		if (t < 1000) {
-			message = ""+((int)t)+RCPMessages.JobsTimer_2; //$NON-NLS-1$
+			message = ""+((int)t)+TXMUIMessages.JobsTimer_2; //$NON-NLS-1$
 		} else {
 			t = t/1000;
 			if (t < 3) {
 				message = ""+t; //$NON-NLS-1$
-				message = ""+(message.substring(0, 3))+RCPMessages.JobsTimer_5; //$NON-NLS-1$
+				message = ""+(message.substring(0, 3))+TXMUIMessages.JobsTimer_5; //$NON-NLS-1$
 			} else if (t < 60) 
-				message = ""+((int)t)+RCPMessages.JobsTimer_5; //$NON-NLS-1$
+				message = ""+((int)t)+TXMUIMessages.JobsTimer_5; //$NON-NLS-1$
 			else if (t < 3600) {
-				message = ""+((int)t/60)+RCPMessages.JobsTimer_9+((int)t%60)+RCPMessages.JobsTimer_5; //$NON-NLS-1$
+				message = ""+((int)t/60)+TXMUIMessages.JobsTimer_9+((int)t%60)+TXMUIMessages.JobsTimer_5; //$NON-NLS-1$
 			} else { 
-				message = ""+((int)t/3600)+RCPMessages.JobsTimer_12+((int)(t%3600)/60)+RCPMessages.JobsTimer_13+((int)(t%3600)%60)+ RCPMessages.JobsTimer_5; //$NON-NLS-1$
+				message = ""+((int)t/3600)+TXMUIMessages.JobsTimer_12+((int)(t%3600)/60)+TXMUIMessages.JobsTimer_13+((int)(t%3600)%60)+ TXMUIMessages.JobsTimer_5; //$NON-NLS-1$
 			}
 		}
 		return message;
@@ -55,8 +56,8 @@
 	
 	public static void stopAndPrint() {
 		if (TXMPreferences.getBoolean(TBXPreferences.SHOW_TIMINGS, TBXPreferences.PREFERENCES_NODE)) {
-			if (time <= 1000) System.out.println(NLS.bind(RCPMessages.JobsTimer_15, stop(),(int)time));
-			else System.out.println(NLS.bind(RCPMessages.JobsTimer_19, stop()));
+			if (time <= 1000) System.out.println(NLS.bind(TXMUIMessages.JobsTimer_15, stop(),(int)time));
+			else System.out.println(NLS.bind(TXMUIMessages.JobsTimer_19, stop()));
 		}
 	}
 
@@ -65,7 +66,7 @@
 		Thread.sleep(1000);
 		JobsTimer.start();
 		Thread.sleep(1000);
-		System.out.println(RCPMessages.JobsTimer_20+JobsTimer.stop());
-		System.out.println(RCPMessages.JobsTimer_21+ExecTimer.stop());
+		System.out.println(TXMUIMessages.JobsTimer_20+JobsTimer.stop());
+		System.out.println(TXMUIMessages.JobsTimer_21+ExecTimer.stop());
 	}
 }
